package com.community.huiju.model;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

public class ToCommunities {
    private Integer id;
    
    @NotBlank(message = "社区名称不能为空!")
    private String communityName;

    private String communityAlias;
    
    @NotNull(message = "所在省不能为空!")
    private Integer provinceId;
    
    @NotNull(message = "所在市不能为空!")
    private Integer cityId;
    
    @NotNull(message = "所在区县乡不能为空!")
    private Integer districtId;
    
    @NotBlank(message = "高德坐标不能为空!")
    private String longitude;
    
    @NotBlank(message = "高德坐标不能为空!")
    private String latitude;
    
    @NotBlank(message = "管理员姓名不能为空!")
    private String userName;
    
    @NotBlank(message = "管理员账号不能为空!")
    private String loginName;
    
    private Integer createUser;
    
    private Date createDate;
    
    private Integer updateUser;
    
    private Date updateDate;
    
    private String province;
    
    private String city;
    
    private String district;

    // =============================================================

    /**
     * 物业人员数量
     */
    private Integer propertyNum;

    /**
     * 已核实业主数量
     */
    private Integer verifyOwnerNum;

    /**
     * 已核实家属数量
     */
    private Integer verifyRelationNum;

    /**
     * 已核实租客数量
     */
    private Integer verifyTenantNum;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCommunityName() {
        return communityName;
    }

    public void setCommunityName(String communityName) {
        this.communityName = communityName == null ? null : communityName.trim();
    }

    public String getCommunityAlias() {
        return communityAlias;
    }

    public void setCommunityAlias(String communityAlias) {
        this.communityAlias = communityAlias == null ? null : communityAlias.trim();
    }

    public Integer getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Integer provinceId) {
        this.provinceId = provinceId;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public Integer getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Integer districtId) {
        this.districtId = districtId;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude == null ? null : longitude.trim();
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude == null ? null : latitude.trim();
    }
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public String getLoginName() {
        return loginName;
    }
    
    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }
    
    public Integer getCreateUser() {
        return createUser;
    }
    
    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }
    
    public Date getCreateDate() {
        return createDate;
    }
    
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
    
    public Integer getUpdateUser() {
        return updateUser;
    }
    
    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }
    
    public Date getUpdateDate() {
        return updateDate;
    }
    
    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
    
    public String getProvince() {
        return province;
    }
    
    public void setProvince(String province) {
        this.province = province;
    }
    
    public String getCity() {
        return city;
    }
    
    public void setCity(String city) {
        this.city = city;
    }
    
    public String getDistrict() {
        return district;
    }
    
    public void setDistrict(String district) {
        this.district = district;
    }

    public Integer getPropertyNum() {
        return propertyNum;
    }

    public void setPropertyNum(Integer propertyNum) {
        this.propertyNum = propertyNum;
    }

    public Integer getVerifyOwnerNum() {
        return verifyOwnerNum;
    }

    public void setVerifyOwnerNum(Integer verifyOwnerNum) {
        this.verifyOwnerNum = verifyOwnerNum;
    }

    public Integer getVerifyRelationNum() {
        return verifyRelationNum;
    }

    public void setVerifyRelationNum(Integer verifyRelationNum) {
        this.verifyRelationNum = verifyRelationNum;
    }

    public Integer getVerifyTenantNum() {
        return verifyTenantNum;
    }

    public void setVerifyTenantNum(Integer verifyTenantNum) {
        this.verifyTenantNum = verifyTenantNum;
    }
}